<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 12                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminDoMassQueueFilesProcess
 * A function to process files from the queue
 * @author Philipp Louis Esselbach
 */
function AdminDoMassQueueFilesProcess()
{
	global $database, $security, $system, $html, $preferences, $wysiwyg, $login_username, $words_files;
	$input_files = ( isset( $_POST[ 'input_files' ] ) ) ? $security -> checkvar( $_POST[ 'input_files' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $security -> checkvar( $_POST[ 'input_status' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
	
	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_files[ 'ERROR' ], $words_files[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	if( $input_status == $words_files[ 'YES' ] )
	{
		$input_files_array = explode( ",", $input_files );
		$input_files_array = $security -> checknumarray( $input_files_array );
		$input_files_sql = implode( ",", $input_files_array );
		$html -> login( $words_files[ 'MASS_PROCESSING' ], $words_files[ 'PROCESSING' ], "index.php?action=processfilesqueue&amp;files=" . $input_files_sql );
	}
	else
	{
		$html -> login( $words_files[ 'MASS_PROCESSING' ], $words_files[ 'ABORTING_PROCESSING' ], "index.php?action=filesqueue" );
	}
}
?>