<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 12                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Files module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewfile" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "adminaddnewfile.php" );
	AdminAddNewFile( 0 );
	$group = "files";
}

if( ( $aform == "doaddnewfile" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "admindoaddnewfile.php" );
	include( "adminaddnewfile.php" );
	$action = "doaddnewfile";
	AdminDoAddNewFile();
	$group = "files";
}

if( ( $action == "addnewpadsource" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminaddnewpadsource.php" );
		AdminAddNewPADSource( 0 );
	}
	
	$group = "files";
}

if( ( $aform == "doaddnewpadsource" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoaddnewpadsource.php" );
		include( "adminaddnewpadsource.php" );
		$action = "doaddnewpadsource";
		AdminDoAddNewPADSource();
	}
	
	$group = "files";
}

if( ( $action == "checkpadupdates" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admincheckpadupdates.php" );
		AdminCheckPADUpdates( 0 );
	}
	
	$group = "files";
}

if( ( $aform == "docheckpadupdates" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindocheckpadupdates.php" );
		include( "admincheckpadupdates.php" );
		$action = "docheckpadupdates";
		AdminDoCheckPADUpdates();
	}
	
	$group = "files";
}

if( ( $aform == "doeditfile" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "admindoeditfile.php" );
	include( "admineditfile.php" );
	$action = "doeditfile";
	AdminDoEditFile();
	$group = "files";
}

if( ( $aform == "doeditdownload" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "admindoeditdownload.php" );
	include( "admineditdownload.php" );
	$action = "doeditdownload";
	AdminDoEditDownload();
	$group = "files";
}

if( ( $aform == "filesoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "adminfilesoptions.php" );
	$action = "filesoptions";
	AdminFilesOptions();
	$group = "files";
}

if( ( $aform == "domassfilesdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "admindomassfilesdelete.php" );
	$action = "domassfilesdelete";
	AdminDoMassFilesDelete();
	$group = "files";
}

if( ( $action == "brokenlinks" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminbrokenlinks.php" );
		AdminBrokenLinks( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "brokenlinksoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminbrokenlinksoptions.php" );
		$action = "brokenlinksoptions";
		AdminBrokenLinksOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassbrokenlinksdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassbrokenlinksdelete.php" );
		$action = "domassbrokenlinksdelete";
		AdminDoMassBrokenLinksDelete();
	}
	
	$group = "files";
}

if( ( $action == "addfilesteaserimage" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminaddfilesteaserimage.php" );
		AdminAddFilesTeaserImage();
	}
	
	$group = "files";
}

if( ( $action == "managefilesteaserimages" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefilesteaserimages.php" );
		AdminManageFilesTeaserImages( $opts );
	}
	
	$group = "files";
}

if( ( $action == "filesteaserimagepreview" ) and( isset( $permissions[ 'files' ] ) ) )
{
	include( "adminfilesteaserimagepreview.php" );
	AdminFilesTeaserImagePreview();
	$group = "files";
}

if( ( $aform == "doaddfilesteaserimage" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoaddfilesteaserimage.php" );
		$action = "doaddfilesteaserimage";
		AdminDoAddFilesTeaserImage();
	}
	
	$group = "files";
}

if( ( $aform == "filesteaserimagesoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesteaserimagesoptions.php" );
		$action = "filesteaserimagesoptions";
		AdminFilesTeaserImagesOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilesteaserimagesdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilesteaserimagesdelete.php" );
		$action = "domassfilesteaserimagesdelete";
		AdminDoMassFilesTeaserImagesDelete();
	}
	
	$group = "files";
}

if( ( $action == "filesattachments" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesattachments.php" );
		AdminFilesAttachments( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilesattachment" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditfilesattachment.php" );
		$action = "doeditfilesattachment";
		AdminDoEditFilesAttachment();
	}
	
	$group = "files";
}

if( ( $aform == "filesattachmentsoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesattachmentsoptions.php" );
		$action = "filesattachmentsoptions";
		AdminFilesAttachmentsOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilesattachmentsdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilesattachmentsdelete.php" );
		$action = "domassfilesattachmentsdelete";
		AdminDoMassFilesAttachmentsDelete();
	}
	
	$group = "files";
}

if( ( $action == "filesattachmentpreview" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesattachmentpreview.php" );
		AdminFilesAttachmentPreview();
	}
	
	$group = "files";
}

if( ( $action == "filesattachmentsearch" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesattachmentsearch.php" );
		AdminFilesAttachmentSearch();
	}
	
	$group = "files";
}

if( ( $action == "searchreplacefiles" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminsearchreplacefiles.php" );
		AdminSearchReplaceFiles();
	}
	
	$group = "files";
}


if( ( $aform == "dosearchreplacefiles" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindosearchreplacefiles.php" );
		$action = "dosearchreplacefiles";
		AdminDoSearchReplaceFiles();
	}
	
	$group = "files";
}


if( ( $action == "managefiles" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefiles.php" );
		AdminManageFiles( $opts );
	}
	
	$group = "files";
}

if( ( $action == "managefilescomments" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefilescomments.php" );
		AdminManageFilesComments( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilescomment" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditfilescomment.php" );
		include( "admineditfilescomment.php" );
		$action = "doeditfilescomment";
		AdminDoEditFilesComment();
	}
	
	$group = "files";
}

if( ( $aform == "filescommentsoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilescommentsoptions.php" );
		$action = "filescommentsoptions";
		AdminFilesCommentsOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilescommentsdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilescommentsdelete.php" );
		$action = "domassfilescommentsdelete";
		AdminDoMassFilesCommentsDelete();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilescommentsplonk" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilescommentsplonk.php" );
		$action = "domassfilescommentsplonk";
		AdminDoMassFilesCommentsPlonk();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilescommentsunplonk" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilescommentsunplonk.php" );
		$action = "domassfilescommentsunplonk";
		AdminDoMassFilesCommentsUnPlonk();
	}
	
	$group = "files";
}

if( ( $action == "filescategories" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilescategories.php" );
		AdminFilesCategories( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "doaddfilescategory" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilescategories.php" );
		include( "admindoaddfilescategory.php" );
		$action = "doaddfilescategory";
		AdminDoAddFilesCategory();
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilescategory" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilescategories.php" );
		include( "admindoeditfilescategory.php" );
		$action = "doeditfilescategory";
		AdminDoEditFilesCategory();
	}
	
	$group = "files";
}

if( ( $action == "managefilesfields" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefilesfields.php" );
		AdminManageFilesFields();
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilesfields" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditfilesfields.php" );
		AdminDoEditFilesFields();
	}
	
	$group = "files";
}

if( ( $action == "filesqueue" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefilesqueue.php" );
		AdminManageFilesQueue( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "doeditqueuefile" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditqueuefile.php" );
		include( "admineditqueuefile.php" );
		$action = "doeditqueuefile";
		AdminDoEditQueueFile();
	}
	
	$group = "files";
}

if( ( $action == "processfilesqueue" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminprocessfilesqueue.php" );
		AdminProcessFilesQueue( 0 );
	}
	
	$group = "files";
}

if( ( $aform == "doprocessfilesqueue" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoprocessfilesqueue.php" );
		include( "adminprocessfilesqueue.php" );
		$action = "doprocessfilesqueue";
		AdminDoProcessFilesQueue();
	}
	
	$group = "files";
}

if( ( $aform == "filesqueueoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilesqueueoptions.php" );
		$action = "filesqueueoptions";
		AdminFilesQueueOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassqueuefilesdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassqueuefilesdelete.php" );
		$action = "domassqueuefilesdelete";
		AdminDoMassQueueFilesDelete();
	}
	
	$group = "files";
}

if( ( $aform == "domassqueuefilesreject" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassqueuefilesreject.php" );
		$action = "domassqueuefilesreject";
		AdminDoMassQueueFilesReject();
	}
	
	$group = "files";
}

if( ( $aform == "domassqueuefilesprocess" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassqueuefilesprocess.php" );
		$action = "domassqueuefilesprocess";
		AdminDoMassQueueFilesProcess();
	}
	
	$group = "files";
}

if( ( $action == "managefilestags" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminmanagefilestags.php" );
		AdminManageFilesTags( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilestag" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditfilestag.php" );
		include( "admineditfilestag.php" );
		$action = "doeditfilestag";
		AdminDoEditFilesTag();
	}
	
	$group = "files";
}

if( ( $aform == "filestagsoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilestagsoptions.php" );
		$action = "filestagsoptions";
		AdminFilesTagsOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilestagsdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindomassfilestagsdelete.php" );
		$action = "domassfilestagsdelete";
		AdminDoMassFilesTagsDelete();
	}
	
	$group = "files";
}

if( ( $action == "filessearchqueries" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilessearchqueries.php" );
		AdminFilesSearchQueries( $opts );
	}
	
	$group = "files";
}

if( ( $aform == "filessearchqueriesoptions" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilessearchqueriesoptions.php" );
		$action = "filessearchqueriesoptions";
		AdminFilesSearchQueriesOptions();
	}
	
	$group = "files";
}

if( ( $aform == "domassfilessearchqueriesdelete" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindofilessearchqueriesdelete.php" );
		$action = "domassfilessearchqueriesdelete";
		AdminDoMassFilesSearchQueriesDelete();
	}
	
	$group = "files";
}

if( ( $action == "editfilespreferences" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admineditfilespreferences.php" );
		AdminEditFilesPreferences();
	}
	
	$group = "files";
}

if( ( $aform == "doeditfilespreferences" ) and( isset( $permissions[ 'files' ] ) ) )
{
	
	if( $permissions[ 'files' ] == 1 )
	{
		include( "admindoeditfilespreferences.php" );
		AdminDoEditFilesPreferences();
	}
	
	$group = "files";
}

if( ( $aform == "doupdatefilescategories" ) and( isset( $permissions[ 'files' ] ) ) )
{
	if( $permissions[ 'files' ] == 1 )
	{
		include( "adminfilescategories.php" );
		include( "admindoupdatefilescategories.php" );
		$action = "doupdatefilescategories";
		AdminDoUpdateFilesCategories();
	}
	
	$group = "files";
}
?>